Subject: Re: bug#7058: 24.0.50; Calc:Error in Parser of Syntax Tables
From: Jay Belanger <[email-masked]>
To: Andreas Politz <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 18 Sep 2010 00:24:02 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> There is something wrong with the Parser of Calcs User Syntax Tables.

Thanks, this has been fixed in bzr Emacs.

> The Example given is from (info "(calc) Advanced Syntax Patterns"), so
> it should work, but gives an error "Blank tokens are not allowed",
> originating in the function `calc-fix-token-name' in calc-prog.el .
>
> Removing the last cond-part in this function is a workaround.

There are some odd cases where the "Blank tokens ..." warning should
still come up, though.

Jay